Name:           logrotate
Version:        3.7.5
Release:        %mkrel 1
Summary:        Rotates, compresses, removes and mails system log files
License:        GPL
Group:          File tools
URL:            http://download.fedora.redhat.com/pub/fedora/linux/core/development/source/SRPMS/
# The source for this package was pulled from cvs.
# Use the following commands to generate the tarball:
#  export CVSROOT=:pserver:anonymous@rhlinux.redhat.com:/usr/local/CVS
#  cvs login (hit return)
#  cvs co logrotate
#  cd logrotate
#  make create-archive
Source0:        ftp://ftp.redhat.com/pub/redhat/code/logrotate/%{name}-%{version}.tar.gz
Source1:        logrotate.conf.mdv
Source2:        logrotate.syslog.conf
# ease upgrade regarding #20745
Conflicts:      sysklogd < 1.4.1-12mdk
Conflicts:      syslog-ng < 1.6.9-1mdk 
BuildRequires:  popt-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%prep
%setup -q

%build
%{make} RPM_OPT_FLAGS="%{optflags}" WITH_SELINUX=no
%{make} test

%install
%{__rm} -rf %{buildroot}
%{make} PREFIX=%{buildroot} MANDIR=%{_mandir} install 

%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} -a %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}.d
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}.d/syslog

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 0755 examples/%{name}.cron %{buildroot}%{_sysconfdir}/cron.daily/%{name}

%{__mkdir_p} %{buildroot}%{_var}/lib
/bin/touch %{buildroot}%{_var}/lib/logrotate.status


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CHANGES COPYING examples README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_sysconfdir}/cron.daily/%{name}
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}.d
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/syslog
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0644,root,root) %{_mandir}/man8/%{name}.8*
%attr(0644,root,root) %verify(not size md5 mtime) %config(noreplace) %{_var}/lib/logrotate.status


%changelog
* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 3.7.5-1mdv2007.1
+ Revision: 134942
- 3.7.5

  + Warly <warly@mandriva.com>
    - fix permission on /etc/logrotate.d/syslog
    - uncompresse extra sources; fix bug 12557

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 3.7.3-4mdv2007.1
+ Revision: 85708
- Import logrotate



* Mon May 22 2006 Pixel <pixel@mandriva.com> 3.7.3-4mdk
- use the proper package name for the conflict on sysklogd

* Mon Jan 30 2006 Michael Scherer <misc@mandriva.org> 3.7.3-3mdk
- use the proper version for the conflict, thanks blino for spotting this

* Fri Jan 27 2006 Michael Scherer <misc@mandriva.org> 3.7.3-2mdk
- add a syslog logrotate config files, to close #20745

* Thu Dec 29 2005 Oden Eriksson <oeriksson@mandriva.com> 3.7.3-1mdk
- sync with fedora (3.7.3-2.1)
- spec file massage
- drop upstream patches, reorder patches, rediff P0
- run the test suite

* Mon Mar 14 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.7.1-2mdk
- sync with 3.7.1-7
- fix snort log rotating problem (bug #13731)

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.7.1-1mdk
- 3.7.1

* Wed May 12 2004 Michael Scherer <misc@mandrake.org> 3.7-1mdk
- New release 3.7

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.6.6-2mdk
- rebuild
- macroize
- use %%make macro

* Fri Dec 27 2002 Warly <warly@mandrakesoft.com> 3.6.6-1mdk
- new version

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.6.5-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Sat Aug 10 2002 Warly <warly@mandrakesoft.com> 3.6.5-1mdk
- new version

* Fri Mar 29 2002 Warly <warly@mandrakesoft.com> 3.6.3-1mdk
- new version

* Mon Dec 31 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6-1mdk
- 3.6.
- Remove the errors line.

* Fri Nov  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.5.9-1mdk
- new version
- add URL tag

* Thu Apr 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.5.4-1mdk
- Add doc.
- 3.5.4:
     - patch /tmp file race condition problem, use mkstemp;	
	  Thanks go to Solar Designer <solar@openwall.com>

* Mon Dec 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.5.2-1mdk
- new and shiny source.

* Thu Sep 14 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 3.3-9mdk
- removed patch (taboo extensions are used only for config files in /etc)
- solution : 
	+ don't use * in logrotate.d/syslog (easy but a bit boring)
		That's what I do in package sysklogd
	+ OR patch readConfigFile function in config.c 
	     which creates the log set to rotate and calls rotateLogSet
		 on line 693 : glob result should be freed from compressed archives

* Mon Sep 04 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 3.3-8mdk
- Added one line patch for logrotate to avoid rotating .bz2 file if '*' 
  is specified.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3-7mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.3-6mdk
- macros, BM, _spechelper_
- make it nice with rpmlint :-)

* Thu May 04 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 3.3-5mdk
- logrotate syslog config now installed by syslog...
  reverted the previous change.

* Tue May 02 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 3.3-4mdk
- We shouldn't ship the default logrotate config file.
  install the logrotate.conf.mdk file.
- Adjusted to feet the actual syslog.conf

* Tue Apr 18 2000 Jerome Dumonteil <jd@mandrakesoft.com> 3.3-3mdk
- add version
* Fri Mar 31 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- change group
- use _tmppath

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.3.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update to 2.1.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
